#include <MyProject.h>


void ADC_Init(void)
{
    /********************ADC 端口模拟功能设置************************/
    SetBit(P2_AN , PIN0);	//AD0 P20 CH open--IU--固定
    SetBit(P2_AN , PIN3);	//AD1 P23 CH open--IV--固定 
    SetBit(P2_AN , PIN4);	//AD2 P24 CH open--IV--固定     
    SetBit(P2_AN , PIN5);	//AD3 P25 CH open
    SetBit(P2_AN , PIN7);	//AD4 P27 CH open--IBUS/IW--固定
    SetBit(P2_AN , PIN6);	//AD11 P25 CH open
	
	
//	 SetBit(P2_AN , PIN1);	//AD8 P25 CH open

//	set_csr(P3_AN , PIN2);	//AD5 P32 CH open
	SetBit(P3_AN , PIN3);	//AD6 P33 CH open
	SetBit(P3_AN , PIN4);	//AD7 P34 CH open
//	set_csr(P2_AN , PIN1);	//AD8 P21 CH open
	SetBit(P1_AN , PIN6);	//AD9 P16 CH open
//	set_csr(P1_AN , PIN4);	//AD10 P14 CH open
//	set_csr(P2_AN , PIN6);	//AD11 P26 CH open
//	set_csr(P1_AN , PIN3);	//AD12 P13 CH open
	SetBit(P1_AN , PIN5);	//AD13 P15 CH open
	
	
	SetBit(P1_AN , HBMOD);
	ClrBit(P1_OE, P13);
	
	SetBit(P1_AN , PIN4);
	
    SetBit(ADC_MASK , CH0EN | CH1EN | CH2EN| CH3EN | CH4EN | CH6EN | CH7EN | CH10EN | CH11EN | CH12EN | CH13EN | CH9EN);
    
    SetBit(ADC_MASK, 0x3000);
    
    ADC_SCYC  = 0x33;
    
	
    SetBit(ADC_CR , ADCALIGN);

    ClrBit(ADC_CR , ADCIE);
    SetBit(ADC_CR , ADCEN);
    
}

